## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
This is a PEP 561 type stub package for the python-dateutil package. It can be
used by type-checking tools like mypy, PyCharm, pytype etc. to check code that
uses python-dateutil. The source for this package can be found at
https://github.com/python/typeshed/tree/main/stubs/python-dateutil. All fixes
for types and metadata should be contributed there.

See https://github.com/python/typeshed/blob/main/README.md for more details.
This package was generated from typeshed commit
bff43b53e50adf873c20faebb125a5fe808d4ad6.}

Name:           python-types-python-dateutil
Version:        2.8.19.5
Release:        %{autorelease}
Summary:        Typing stubs for dateutil


License:        Apache-2.0
URL:            https://pypi.org/pypi/types-dateutil
Source0:        %{pypi_source types-python-dateutil}
# not included in pypi tar
Source1:        https://github.com/python/typeshed/raw/main/LICENSE

BuildArch:      noarch

%description %_description

%package -n python3-types-python-dateutil
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-types-python-dateutil %_description

%prep
%autosetup -n types-python-dateutil-%{version}
cp %SOURCE1 .

# Comment out to remove /usr/bin/env shebangs
# Can use something similar to correct/remove /usr/bin/python shebangs also
# find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

# see pyproject-rpm-macros documentation for more forms
%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dateutil-stubs

%check
%pyproject_check_import dateutil-stubs

%files -n python3-types-python-dateutil -f %{pyproject_files}
%doc CHANGELOG.md

%changelog
* Mon Jan 16 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.8.19.5-2
- check in extra source

* Mon Jan 16 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.8.19.5-1
- init
